=== debian/changelog ===
glite-jobid-api-c (2.1.2-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:24:04 +0200
