## glite-jobid-api-c 2.2.1

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 CC:=gcc
 CXX:=g++
+
+default: all
 
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
@@ -28,6 +30,8 @@
 LINK:=libtool --mode=link ${CC} ${LDFLAGS} 
 LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
+
+SOURCES=interface/*.h src/*.c src/*.h project/.post* test/*.cpp Makefile
 
 LIBOBJS:=cjobid.o strmd5.o 
 HDRS:=cjobid.h strmd5.h
@@ -73,6 +77,7 @@
 clean:
 	rm -rvf *.o *.lo .libs/ lib* *.c *.cpp *.h
 	rm -vf base64_test base64_test.xml
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -90,5 +95,4 @@
 %.lo %.o: %.c
 	${COMPILE} -o $@ -c $< 
 
-
-.PHONY: default all compile check stage install clean distclean
+.PHONY: default all compile check stage install clean distclean dist distcheck
