=== debian/changelog ===
glite-jobid-api-c (2.2.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:33 +0200
