=== debian/control ===
Source: glite-jobid-api-c
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libtool, libssl-dev, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-jobid2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library handling gLite jobid
 C library handling gLite
 jobid.

Package: libglite-jobid-api-c-dev
Section: libdevel
Architecture: any
Provides: glite-jobid-api-c
Depends: libglite-jobid2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite jobid C library
 This package contains development libraries and header files for gLite jobid
 C library.

Package: glite-jobid-api-c-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-jobid2 (= ${binary:Version}), ${misc:Depends}
Description: gLite jobid library debugging symbols
 This package contains debugging symbols for gLite jobid library.
