## glite-jobid-api-c 2.2.7

=== Makefile ===
--- 
+++ 
@@ -80,7 +80,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 stage:
 	$(MAKE) install PREFIX=${stagedir}
