=== debian/changelog ===
glite-jobid-api-c (2.2.7-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:57 +0100
