=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libtool, libssl-dev, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libtool, libssl-dev, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
