## glite-jobid-api-c 2.2.10

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,8 @@
 LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
-SOURCES=interface/*.h src/*.c src/*.h project/.post* test/*.cpp Makefile
+SOURCES=interface/*.h src/*.c src/*.h project/.post* test/*.cpp Makefile gen-b64r.pl
+SOURCES_EXEC=gen-b64r.pl
 
 LIBOBJS:=cjobid.o strmd5.o 
 HDRS:=cjobid.h strmd5.h
@@ -47,6 +48,8 @@
 endif
 TEST_LIBS:=-L${cppunit_prefix}/${libdir} -lcppunit ${DL_LIBS}
 TEST_INC:=-I${cppunit_prefix}/include
+LIBCRYPTO_LIBS:=-lcrypto
+LIBCRYPTO_CFLAGS:=
 
 compile all: ${LIB}
 
@@ -65,7 +68,7 @@
 	perl -e '$$,=":"; @F=split /\./,"${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 
 ${LIB}: ${LIBOBJS}
-	${LINK} ${version_info} -o $@ ${LIBLOBJS} -rpath ${stagedir}${prefix}/${libdir}
+	${LINK} ${version_info} -o $@ ${LIBLOBJS} -rpath ${stagedir}${prefix}/${libdir} ${LIBCRYPTO_LIBS}
 
 check: compile base64_test
 	./base64_test base64_test.xml
@@ -91,8 +94,12 @@
 	${INSTALL} -m 755 ${LIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	(cd ${top_srcdir}/interface; ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${jobidprefix})
 
+b64r.c: ${top_srcdir}/gen-b64r.pl
+	${top_srcdir}/gen-b64r.pl > $@
+
+strmd5.o: b64r.c strmd5.c
 
 %.lo %.o: %.c
-	${COMPILE} -o $@ -c $< 
+	${COMPILE} -o $@ -I. -c $<
 
 .PHONY: default all compile check stage install clean distclean dist distcheck
