=== debian/changelog ===
glite-jobid-api-c (2.2.10-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:47 +0200
