## glite-jobid-api-c 2.2.11

=== debian/changelog ===
glite-jobid-api-c (2.2.11-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:51 +0100
