=== debian/changelog ===
glite-jobid-api-c (2.2.13-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:51 +0200
