=== debian/control ===
Source: glite-jobid-api-c
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libtool-bin, libssl-dev, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-jobid2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library handling gLite jobid
 C library handling gLite
 jobid.

Package: libglite-jobid-api-c-dev
Section: libdevel
Architecture: any
Provides: glite-jobid-api-c
Depends: libglite-jobid2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite jobid C library
 C library handling gLite
 jobid.
 .
 This package contains development libraries and header files for gLite jobid
 C library.

Package: libglite-jobid2-dbg
Section: debug
Architecture: any
Depends: libglite-jobid2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite jobid library
 C library handling gLite
 jobid.
 .
 This package contains debugging symbols for gLite jobid library.
