=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_dbg=libglite-jobid2-dbg
p_dev=libglite-jobid-api-c-dev
p_lib=libglite-jobid2

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)
