=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.jobid.api-c/glite-jobid-api-c-(.*)\.tar\.gz
